ConnectEndpoints
Connects a source endpoint to a destination endpoint.
Request Syntax
PUT /v1/connectEndpoints/destinationEndpointArn HTTP/1.1
Content-type: application/json
{
"sourceEndpointArn": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- destinationEndpointArn
-
The Amazon Resource Name (ARN) of the destination endpoint to connect.
Length Constraints: Minimum length of 64. Maximum length of 128.
Pattern:
arn:(aws[a-zA-Z-]*):mediaconnect:[a-z0-9-]+:[0-9]{12}:destinationEndpoint:[a-z0-9]{12}Required: Yes
Request Body
The request accepts the following data in JSON format.
- sourceEndpointArn
-
The Amazon Resource Name (ARN) of the source endpoint to connect.
Type: String
Length Constraints: Minimum length of 64. Maximum length of 128.
Pattern:
arn:(aws[a-zA-Z-]*):mediaconnect:[a-z0-9-]+:[0-9]{12}:sourceEndpoint:[a-z0-9]{12}Required: Yes
Response Syntax
HTTP/1.1 202
Content-type: application/json
{
"destinationEndpointArn": "string",
"destinationEndpointName": "string",
"sourceEndpointArn": "string",
"sourceEndpointName": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 202 response.
The following data is returned in JSON format by the service.
- destinationEndpointArn
-
The Amazon Resource Name (ARN) of the connected destination endpoint.
Type: String
Length Constraints: Minimum length of 64. Maximum length of 128.
Pattern:
arn:(aws[a-zA-Z-]*):mediaconnect:[a-z0-9-]+:[0-9]{12}:destinationEndpoint:[a-z0-9]{12} - destinationEndpointName
-
The name of the connected destination endpoint.
Type: String
- sourceEndpointArn
-
The Amazon Resource Name (ARN) of the connected source endpoint.
Type: String
Length Constraints: Minimum length of 64. Maximum length of 128.
Pattern:
arn:(aws[a-zA-Z-]*):mediaconnect:[a-z0-9-]+:[0-9]{12}:sourceEndpoint:[a-z0-9]{12} - sourceEndpointName
-
The name of the connected source endpoint.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
- BadRequestException
-
This exception is thrown if the request contains a semantic error. The precise meaning depends on the API, and is documented in the error message.
HTTP Status Code: 400
- ConflictException
-
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request.
HTTP Status Code: 409
- ForbiddenException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerErrorException
-
The server encountered an internal error and is unable to complete the request.
HTTP Status Code: 500
- NotFoundException
-
One or more of the resources in the request does not exist in the system.
HTTP Status Code: 404
- ServiceUnavailableException
-
The service is currently unavailable or busy.
HTTP Status Code: 503
- TooManyRequestsException
-
The request was denied due to request throttling.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: